Skip to content
Skip to main content
DELETE
https://api.us.nylas.com/v3/grants/{grant_id}/events/{event_id}

Delete an event

Delete the specified event.

Google sends deleted events to the "Trash" folder, and you can read them for a period of time using the show_cancelled query parameter.

Microsoft deletes events immediately.

NYLAS API KEYACCESS TOKEN

Parameters

Path parameters

grant_id*string

ID of the grant to access. You can also use the email address associated with the grant, or use /me/ to refer to the grant associated with an access token.

event_id*string

ID of the event to access. Nylas recommends you URL-encode this field, or you might receive a 404 error if the ID contains special characters (for example, #).

Query parameters

calendar_id*string

The calendar ID of the event.

For Microsoft, we do not validate whether the given calendar ID matches the real calendar ID of the event. This is due to a limitation of the Microsoft Graph API.

(Not supported for iCloud) You can use primary to query the user's primary calendar.

For an Agent Account, you can also pass the account's own email address, in any letter case, to query its primary calendar. Any other email address returns a 400 error.

notify_participantsboolean

Filter for events matching the specified notify_participants setting.

Microsoft and iCloud do not support notify_participants=false.

Default: true

Responses

request_id*string

ID of the request.

Example: "5967ca40-a2d8-4ee0-a0e0-6f18ace39a90"
DELETEhttps://api.us.nylas.com/v3/grants/leyah%40example.com/events/{event_id}?notify_participants=true

Find your API key in the Nylas Dashboard under API Keys in your application settings.

grant_idrequiredstring

ID of the grant to access. You can also use the email address associated with the grant, or use /me/ to refer to the grant associated with an access token.

event_idrequiredstring

ID of the event to access. Nylas recommends you URL-encode this field, or you might receive a `404` error if the ID contains special characters (for example, #).

calendar_idrequiredstring

The calendar ID of the event. For Microsoft, we do not validate whether the given calendar ID matches the real calendar ID of the event. This is due to a limitation of the Microsoft Graph API. (Not supported for iCloud) You can use primary to query the user's primary calendar. For an Agent Account, you can also pass the account's own email address, in any letter case, to query its primary calendar. Any other email address returns a 400 error.

notify_participantsboolean

Filter for events matching the specified notify_participants setting. Microsoft and iCloud do not support notify_participants=false.